# Withdrawal broadcast notification

Currently, we support 10 cryptocurrencies as a payout option. Once you initiate a withdrawal we need to take care of a couple of things before we successfully broadcast it to the network. Withdrawals take on average 10 minutes to be broadcast on the designated blockchain network. Upon completion, you'll receive a callback notification.

> This callback notification is sent on your `withdrawalCallbackUrl` endpoint.

{% tabs %}
{% tab title="Success" %}

```javascript
{
    "status": "COMPLETED",
    "clientWithdrawalId": "Example-Withdrawal",
    "businessId": "19dee3c4-4dc9-4bcc-b8ed-92e3d4f256bd",
    "withdrawalId": "9b479a98-99ed-4bf9-87e0-4a05dbb012b6",
    "displayCurrency": "TRY",
    "withdrawCurrency": "XRP",
    "settlementCurrency": "USDC",
    "expectedDisplayAmount": "200.00000000",
    "actualDisplayAmount": "200.00000000",
    "estimatedWithdrawAmount": "119.63196400",
    "actualWithdrawAmount": "119.66467800",
    "deductedSettlementAmount": "35.28559158",
    "withdrawFee": "0.25000000",
    "displayFee": "0.42000000",
    "displayRateDepegLossAmount":"0.49",
    "settlementRateDepegLossAmount": "0.48",
    "toTxAddress": "rLsVuk4hgmGUtjQKj1ybpg1etnFodZ4CJ?dt=140",
    "transactionId": "1AABB14A963442246EC6252B6FDCC72223544B9BBB9E28C431DF2F1C B3545DB5",
    "txAddressOwner": {
        "name": "Coinbase",
        "category": "Exchange"
  }
}
```

{% endtab %}

{% tab title="Failure" %}

```javascript
{
  "status": "FAILED",
  "clientWithdrawalId": "Example-Withdrawal",
  "businessId": "4e1a3d4a-c8c4-48c6-8a26-d3520a543521",
  "withdrawalId": "77a01c0e-7983-4acd-83bf-0d43b29bdee6",
  "displayCurrency": "USD",
  "withdrawCurrency": "BTC",
  "settlementCurrency": "USDT",
  "expectedDisplayAmount": "60.00",
  "estimatedWithdrawAmount": "0.00113791",
  "toTxAddress": "bc1qu7fvyhtcyd7fjueup7azqrqakw5fxkfex7me92",
  "txAddressOwner": {
    "name": "Darknet Shop",
    "category": "Darknet"
  }
}
```

{% endtab %}

{% tab title="Blocked" %}

```json
{
  "status": "BLOCKED",
  "businessId": "407710f4-de33-454b-a44f-dda322q172a3",
  "displayFee": null,
  "toTxAddress": "ltc1qsv25klhsr4df87xqhe6rz0jyzark04khveuejq",
  "withdrawFee": null,
  "withdrawalId": "c76b2dca-1eff-37af-8646-3f5001165f9a",
  "transactionId": null,
  "txAddressOwner": {
    "name": "Unknown",
    "category": "Unknown"
  },
  "displayCurrency": "EUR",
  "withdrawCurrency": "LTC",
  "clientWithdrawalId": "client-withdrawal-1",
  "settlementCurrency": "EUR",
  "actualDisplayAmount": null,
  "actualWithdrawAmount": null,
  "settlementServiceFee": null,
  "expectedDisplayAmount": "20.07",
  "estimatedWithdrawAmount": "0.17659901",
  "deductedSettlementAmount": null,
  "displayRateDepegLossAmount": null,
  "settlementRateDepegLossAmount": null,
  "settlementMerchantTransactionFee": null
}
```

{% endtab %}
{% endtabs %}

| Parameter                     | Type                                               | Description                                                                                                                         |
| ----------------------------- | -------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| status                        | string <mark style="color:red;">\[required]</mark> | One of`COMPLETED,` `FAILED` or `BLOCKED`                                                                                            |
| clientWithdrawalId            | string <mark style="color:red;">\[required]</mark> | Unique withdrawal identifier provided by the merchant in the request body of POST `/withdrawals`                                    |
| businessId                    | string <mark style="color:red;">\[required]</mark> | Unique Monolo business identifier `UUID`                                                                                            |
| withdrawalId                  | string <mark style="color:red;">\[required]</mark> | Unique Monolo withdrawal identifier `UUID`                                                                                          |
| displayCurrency               | string <mark style="color:red;">\[required]</mark> | The fiat currency chosen for display (denomination) purposes                                                                        |
| withdrawCurrency              | string <mark style="color:red;">\[required]</mark> | Cryptocurrency to be withdrawn                                                                                                      |
| settlementCurrency            | string <mark style="color:red;">\[required]</mark> | The currency in which the merchant's account was debited because of the withdrawal (can be either fiat or cryptocurrency)           |
| expectedDisplayAmount         | number <mark style="color:red;">\[required]</mark> | Amount in `displayCurrency` requested for this payment                                                                              |
| actualDisplayAmount           | number <mark style="color:red;">\[optional]</mark> | Actual amount withdrawn in `displayCurrency` currency (e.g.`EUR, USD, GBP, TRY etc..)`Can be different than `expectedDisplayAmount` |
| estimatedWithdrawAmount       | number <mark style="color:red;">\[required]</mark> | Estimated amount for this withdrawal. Can be different than `actualWithdrawAmount`                                                  |
| actualWithdrawAmount          | number <mark style="color:red;">\[optional]</mark> | Actual amount withdrawn in `withdrawCurrency`Can be different than `estimatedWithdrawAmount`                                        |
| deducedSettlementAmount       | number <mark style="color:red;">\[optional]</mark> | Amount debited from the merchant's balance in `settlementCurrency`                                                                  |
| withdrawFee                   | number <mark style="color:red;">\[optional]</mark> | Blockchain cost for this withdrawal in `withdrawCurrency`                                                                           |
| displayFee                    | number <mark style="color:red;">\[optional]</mark> | Blockchain cost for this withdrawal in `displayCurrency`                                                                            |
| displayRateDepegLossAmount    | number <mark style="color:red;">\[optional]</mark> | Loss incurred from the pegging of withdrawal and display currencies market rate in `displayCurrency`.                               |
| settlementRateDepegLossAmount | number <mark style="color:red;">\[optional]</mark> | Loss incurred from the pegging of withdrawal and display currencies market rate in `settlementCurrency`.                            |
| toTxAddress                   | string <mark style="color:red;">\[required]</mark> | The address to which the `actualWithdrawAmount`was sent                                                                             |
| transactionId                 | string <mark style="color:red;">\[optional]</mark> | Unique blockchain transaction ID of the withdrawal                                                                                  |
| txAddressOwner                | object <mark style="color:red;">\[required]</mark> | Address AML screening results                                                                                                       |
| name                          | string <mark style="color:red;">\[required]</mark> | Address owning entity name                                                                                                          |
| category                      | string <mark style="color:red;">\[required]</mark> | Address owning entity category                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolo.io/references/callbacks/withdrawal-completed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
